Package org.apache.sysds.runtime.io.hdf5.message

## Class H5DataSpaceMessage

- java.lang.Object
- - org.apache.sysds.runtime.io.hdf5.message.H5Message
  - - org.apache.sysds.runtime.io.hdf5.message.H5DataSpaceMessage

    public class H5DataSpaceMessage
    extends H5Message

### Constructor Summary

Constructors
`H5DataSpaceMessage​(H5RootObject rootObject, BitSet flags)`
`H5DataSpaceMessage​(H5RootObject rootObject, BitSet flags, ByteBuffer bb)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getTotalLength()`
`boolean` `isMaxSizesPresent()`
`void` `toBuffer​(H5BufferBuilder bb)`

### Methods inherited from class org.apache.sysds.runtime.io.hdf5.message.H5Message

`readObjectHeaderMessage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### H5DataSpaceMessage

    public H5DataSpaceMessage​(H5RootObject rootObject,
                              BitSet flags)

#### H5DataSpaceMessage

    public H5DataSpaceMessage​(H5RootObject rootObject,
                              BitSet flags,
                              ByteBuffer bb)

### Method Detail

#### toBuffer

    public void toBuffer​(H5BufferBuilder bb)

#### isMaxSizesPresent

    public boolean isMaxSizesPresent()

#### getTotalLength

    public long getTotalLength()